{
	saved_FirstTime[0]
	
	Init[(s)
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;
			SetNationality(1);
	
			PlayAnimation(26);
			GiveWeapon(56);
	
			SetAttackDistance(5);
			SetState_Patrol(0);
			SetLineOfSight(1);
			
			SetWander(0);
			
			DropWeaponOnDeath(false);
		}
	}]

	Respawn[ (where)
	{
		SetDead( false );
		SetRunning();
		PlayAnimation(1);
		SetHealth(512);
		switch( where )
		{
			case 0
			{
				Level.saved_OnGun01 = Level.saved_OnGun01 +1;
				SetPosition(7769,10009,128);
				FollowPath("gunpath1");
				FollowPathCallback(127,"GunnerEnd");
			}

		}
	}]

	DelayReached[(dy)
	{
		if (dy = 1)
		{
			FollowPath("gunpath1");
			FollowPathCallback(127,"GunnerEnd");
		}
		
		if (dy = 2)
		{
			Respawn(0);
		}
	}]

	GunnerEnd[()
	{
				ShowWeapon(false);
				SetState_MG42(Level.GetEntity("mg42-01"));
	}]
}